setTimeout("init_plc()",1500);

function init_plc()
{
	setInterval("plc_update()",500);  
}

function plc_update()
{
	var iframe = document.getElementById('Data_string_frame');
	if (iframe.readyState == 'complete')
	{
 		var Data_string1 = window.frames['Data_string_frame'].document.getElementById('Data_String1').innerHTML;
		var ss_values = Data_string1.split(",");

		document.getElementById('Table1').rows[1].cells[0].innerHTML =  ss_values[0];
		document.getElementById('Table1').rows[1].cells[1].innerHTML =  ss_values[1];

		document.getElementById('Table1').rows[2].cells[0].innerHTML =  ss_values[2];
		document.getElementById('Table1').rows[2].cells[1].innerHTML =  ss_values[3];

		document.getElementById('Table1').rows[3].cells[0].innerHTML =  ss_values[4];
		document.getElementById('Table1').rows[3].cells[1].innerHTML =  ss_values[5];

		document.getElementById('Table1').rows[4].cells[0].innerHTML =  ss_values[6];
		document.getElementById('Table1').rows[4].cells[1].innerHTML =  ss_values[7];

		document.getElementById('Table1').rows[5].cells[0].innerHTML =  ss_values[8];
		document.getElementById('Table1').rows[5].cells[1].innerHTML =  ss_values[9];

		document.getElementById('Table1').rows[6].cells[0].innerHTML =  ss_values[10];
		document.getElementById('Table1').rows[6].cells[1].innerHTML =  ss_values[11];

		document.getElementById('Table1').rows[7].cells[0].innerHTML =  ss_values[12];
		document.getElementById('Table1').rows[7].cells[1].innerHTML =  ss_values[13];

		document.getElementById('Table1').rows[8].cells[0].innerHTML =  ss_values[14];
		document.getElementById('Table1').rows[8].cells[1].innerHTML =  ss_values[15];

 		var Data_string2 = window.frames['Data_string_frame'].document.getElementById('Data_String2').innerHTML;
		var ss_values2 = Data_string2.split(",");
		
		document.getElementById('Table1').rows[9].cells[0].innerHTML =  ss_values2[0];
		document.getElementById('Table1').rows[9].cells[1].innerHTML =  ss_values2[1];

		document.getElementById('Table1').rows[10].cells[0].innerHTML =  ss_values2[2];
		document.getElementById('Table1').rows[10].cells[1].innerHTML =  ss_values2[3];

		document.getElementById('Table1').rows[11].cells[0].innerHTML =  ss_values2[4];
		document.getElementById('Table1').rows[11].cells[1].innerHTML =  ss_values2[5];

		document.getElementById('Table1').rows[12].cells[0].innerHTML =  ss_values2[6];
		document.getElementById('Table1').rows[12].cells[1].innerHTML =  ss_values2[7];

		document.getElementById('Table1').rows[13].cells[0].innerHTML =  ss_values2[8];
		document.getElementById('Table1').rows[13].cells[1].innerHTML =  ss_values2[9];

		document.getElementById('Table1').rows[14].cells[0].innerHTML =  ss_values2[10];
		document.getElementById('Table1').rows[14].cells[1].innerHTML =  ss_values2[11];

		document.getElementById('Table1').rows[15].cells[0].innerHTML =  ss_values2[12];
		document.getElementById('Table1').rows[15].cells[1].innerHTML =  ss_values2[13];

		document.getElementById('Table1').rows[16].cells[0].innerHTML =  ss_values2[14];
		document.getElementById('Table1').rows[16].cells[1].innerHTML =  ss_values2[15];

		var Data_string3 = window.frames['Data_string_frame'].document.getElementById('Data_String3').innerHTML;
		var ss_values3 = Data_string3.split(",");
		
		document.getElementById('Table1').rows[17].cells[0].innerHTML =  ss_values3[0];
		document.getElementById('Table1').rows[17].cells[1].innerHTML =  ss_values3[1];

		document.getElementById('Table1').rows[18].cells[0].innerHTML =  ss_values3[2];
		document.getElementById('Table1').rows[18].cells[1].innerHTML =  ss_values3[3];

		document.getElementById('Table1').rows[19].cells[0].innerHTML =  ss_values3[4];
		document.getElementById('Table1').rows[19].cells[1].innerHTML =  ss_values3[5];

		document.getElementById('Table1').rows[20].cells[0].innerHTML =  ss_values3[6];
		document.getElementById('Table1').rows[20].cells[1].innerHTML =  ss_values3[7];

		parent.frames['Data_string_frame'].window.location.reload();
	}
 }
